cURL
curl --request POST \
--url https://sandbox.finhub.cloud/api/v2.1/customer/individual/{customerId}/consents/{consentType} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'X-Forwarded-For: <x-forwarded-for>' \
--header 'X-Forwarded-From: <x-forwarded-from>' \
--header 'X-Tenant-ID: <x-tenant-id>' \
--header 'deviceId: <deviceid>' \
--header 'platform: <platform>' \
--data '
{
"accepted": true,
"version": "1.0"
}
'import requests
url = "https://sandbox.finhub.cloud/api/v2.1/customer/individual/{customerId}/consents/{consentType}"
payload = {
"accepted": True,
"version": "1.0"
}
headers = {
"X-Forwarded-For": "<x-forwarded-for>",
"X-Tenant-ID": "<x-tenant-id>",
"X-Forwarded-From": "<x-forwarded-from>",
"platform": "<platform>",
"deviceId": "<deviceid>",
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Forwarded-For': '<x-forwarded-for>',
'X-Tenant-ID': '<x-tenant-id>',
'X-Forwarded-From': '<x-forwarded-from>',
platform: '<platform>',
deviceId: '<deviceid>',
Authorization: '<authorization>',
'Content-Type': 'application/json'
},
body: JSON.stringify({accepted: true, version: '1.0'})
};
fetch('https://sandbox.finhub.cloud/api/v2.1/customer/individual/{customerId}/consents/{consentType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Consents
Accept Individual Consent
Accept terms/privacy/data-processing consent for a B2C customer
POST
/
api
/
v2.1
/
customer
/
individual
/
{customerId}
/
consents
/
{consentType}
cURL
Accept Individual Consent
Accepts mandatory consent types before activation.Endpoint
POST /api/v2.1/customer/individual/{customerId}/consents/{consentType}
Required Headers
Path Parameters
Customer UUID
terms, privacy, data-processingRequest Body
{
"accepted": true,
"version": "1.0"
}
Success Response
200
{
"code": 200,
"data": {
"status": "PENDING"
},
"message": "Success"
}
Headers
Path Parameters
Available options:
terms, privacy, data-processing Response
200
Consent accepted
⌘I